import request from '@/utils/request'

export function getUserList(roleTips) {
  return request({
    url: '/mgr/simplelist',
    method: 'post',
    params: {
      roleTips: roleTips
    }
  })
}

export function getDeptList(params) {
  return request({
    url: '/case/disposalDept',
    method: 'get',
    params
  })
}

// 根据事部件查询案卷大类
export function getCaseTypeList(eorc) {
  return request({
    url: '/case/type/list',
    method: 'get',
    params: {
      eorc: eorc
    }
  })
}

// 根据事部件,大类查询案卷小类
export function getCaseTypeDetailList(eorc, typeId) {
  return request({
    url: '/case/typeDetail/list',
    method: 'get',
    params: {
      eorc: eorc,
      typeId: typeId
    }
  })
}

// 根据小类id查询立案标准
export function getCaseTypeTimes(detailId) {
  return request({
    url: '/case/typesTime/list',
    method: 'get',
    params: {
      detailId: detailId
    }
  })
}

export function getCaseDetail(id) {
  return request({
    url: 'case/detail' + '/' + id,
    method: 'get'
    // params: {
    //   id: id
    // }
  })
}

export function toRegisterListPage(params) {
  return request({
    url: 'case/toRegisterListPage/',
    method: 'get',
    params
  })
}

export function preRegisterListPage(params) {
  return request({
    url: 'case/preRegisterListPage/',
    method: 'get',
    params
  })
}

export function toDistributeListPage(params) {
  return request({
    url: 'case/toDistributeListPage/',
    method: 'get',
    params
  })
}

export function preDistributeListPage(params) {
  return request({
    url: 'case/preDistributeListPage/',
    method: 'get',
    params
  })
}

export function postponedListPage(params) {
  return request({
    url: 'case/isPostponeListPage/',
    method: 'get',
    params
  })
}

export function delayedListPage(params) {
  return request({
    url: 'case/isDelayListPage/',
    method: 'get',
    params
  })
}

export function toHandleListPage(params) {
  return request({
    url: 'case/toHandleListPage/',
    method: 'get',
    params
  })
}

export function handleAuditListPage(params) {
  return request({
    url: 'case/handleAuditListPage/',
    method: 'get',
    params
  })
}

export function toFinishListPage(params) {
  return request({
    url: 'case/toFinishListPage/',
    method: 'get',
    params
  })
}

export function toAdjustListPage(params) {
  return request({
    url: 'case/toAdjustListPage/',
    method: 'get',
    params
  })
}

export function toAdjustInstructionListPage(params) {
  return request({
    url: 'case/adjustInstructionListPage/',
    method: 'get',
    params
  })
}

export function toDeptAdjustInstructionListPage(params) {
  return request({
    url: 'case/deptAdjustInstructionListPage/',
    method: 'get',
    params
  })
}

export function toCheckListPage(params) {
  return request({
    url: 'case/toCheckListPage/',
    method: 'get',
    params
  })
}

export function authorizationAuditListPage(params) {
  return request({
    url: 'case/authorizationAuditListPage/',
    method: 'get',
    params
  })
}

export function secIsPostponeListPage(params) {
  return request({
    url: 'case/secIsPostponeListPage/',
    method: 'get',
    params
  })
}

export function deptAuthAuditListPage(params) {
  return request({
    url: 'case/deptAuthAuditListPage/',
    method: 'get',
    params
  })
}

export function secIsDelayListPage(params) {
  return request({
    url: 'case/secIsDelayListPage/',
    method: 'get',
    params
  })
}

export function workListPage(params) {
  return request({
    url: 'case/workListPage/',
    method: 'get',
    params
  })
}

export function completedListPage(params) {
  return request({
    url: 'case/completedListPage/',
    method: 'get',
    params
  })
}

